/*-----------------------------------------------------------------------------
|   File:      CC1110_UART.h
+----------------------------------------------------------------------------*/

/*==== DECLARATION CONTROL ==================================================*/

#ifndef CC1110_UART_H
#define CC1110_UART_H

/*==== INCLUDES ==============================================================*/
/*==== CONSTS ================================================================*/
/*==== TYPES =================================================================*/
/*==== EXPORTS ===============================================================*/
/*==== MACROS=================================================================*/
/*==== GLOBALS ================================================================*/
/*==== GLOBAL VARS ============================================================*/

/*==== FUNCTIONS ==============================================================*/

void Uart1_Init(void);
void Uart1_Send_Char(char txChar);
//BOOL Uart1_Receive_Char(char * rxChar_p);
void Uart1_Send_String(char * txChar_p);
void Uart1_Send_HexVal (unsigned int hexVal);

void Uart0_Init(void);
void Uart0_Send_Char(char txChar);
char Uart0_Receive_Char(void);
void Uart0_Send_String(char * txChar_p);
void Uart0_Send_HexVal (unsigned int hexVal);
void Uart0_Send_StringAndHexVal(char * txChar_p, unsigned int hexVal);

#endif  /* CC1110_UART_H */

/*==== END OF FILE ==========================================================*/
